### Method

# ECal ComponentParameterBag get_first_by_kind

since: 3.34

#### Declaration [src]

    guint
    e_cal_component_parameter_bag_get_first_by_kind (
      const ECalComponentParameterBag* bag,
      ICalParameterKind kind
    )

#### Description

No description available.

Available since: 3.34

#### Parameters

`kind`

  Type: `ICalParameterKind`

  An `ICalParameterKind` to search for.

#### Return value

Type: `guint`

The index of the first parameter of the given `kind`, or value out of bounds, if such parameter cannot be found.